package com.steering.pss.plan.order.model;

/**
 * 数据库表PLN_ORDER_JG所对应的实体类（生成工具：代码生成器3.0）
 * 
 * @author xiaohai-PC date 2015-10-28
 */
@SuppressWarnings("serial")
public class PlnOrderJgEntity implements java.io.Serializable {
	/**
	 * 接箍合同号
	 */
	private String jgOrderno = "";
	/**
	 * 合同号
	 */
	private String orderNo = "";
	/**
	 * 合同行号
	 */
	private String orderSeq = "";
	/**
	 * 交货编码
	 */
	private String deliveryNo = "";
	/**
	 * 客户编号
	 */
	private String buyerId = "";
	/**
	 * 客户名称
	 */
	private String buyerName = "";
	/**
	 * 交货开始日期
	 */
	private String delvryBdate = "";
	/**
	 * 交货结束日期
	 */
	private String delvryEdate = "";
	/**
	 * 合同联系人
	 */
	private String ordercontact = "";
	/**
	 * 监制要求
	 */
	private String monitordemand = "";
	/**
	 * 是否接箍监制
	 */
	private String ifMonitorJg = "";
	/**
	 * 监制编号
	 */
	private String prdcrNo = "";
	/**
	 * 产品规范码
	 */
	private String psc = "";
	/**
	 * 冶金规范码
	 */
	private String msc = "";
	/**
	 * 制程索引号
	 */
	private String indexSeq = "";
	/**
	 * 接箍码
	 */
	private String codeJg = "";
	/**
	 * 钢级(牌号)代码
	 */
	private String steelcode = "";
	/**
	 * 钢级(牌号)名称
	 */
	private String steelname = "";
	/**
	 * 外径
	 */
	private String outdiameter = "";
	/**
	 * 临界壁厚
	 */
	private String wallthick = "";
	/**
	 * 控制壁厚(暂不用)
	 */
	private String aimwallthick = "";
	/**
	 * 扣型代码
	 */
	private String modelCode = "";
	/**
	 * 目标长度
	 */
	private String aimlength = "";
	/**
	 * 单重
	 */
	private String singleweight = "";
	/**
	 * 合同重量
	 */
	private String orderweight = "";
	/**
	 * 合同个数
	 */
	private String ordernum = "";
	/**
	 * 最迟生产日期
	 */
	private String latestProdDate = "";
	/**
	 * 利库充当量
	 */
	private String matchweight = "";
	/**
	 * 利库个数
	 */
	private String matchnum = "";
	/**
	 * 有无外购计划
	 */
	private String ifbuyplan = "";
	/**
	 * 外购计划号
	 */
	private String buyplanid = "";
	/**
	 * 外购计划重量
	 */
	private String buyplanweight = "";
	/**
	 * 外购计划个数
	 */
	private String buyplannum = "";
	/**
	 * 接箍合同状态
	 */
	private String jgorderstatus = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";
	/**
	 * 接箍加工组
	 */
	private String groupJgx = "";
	/**
	 * 已做备料需求接箍量
	 */
	private String jgwtBlreq = "";
	/**
	 * 下发时间
	 */
	private String issuedTime = "";
	/**
	 * 接箍规格代码
	 */
	private String specJg = "";
	/**
	 * 接箍规格描述
	 */
	private String specJgDesc = "";
	/**
	 * 接箍扣型描述
	 */
	private String modelDesc = "";
	/**
	 * 中孔类别
	 */
	private String styleJg = "";
	/**
	 * 中孔内径
	 */
	private String diameter = "";
	/**
	 * 测量J值
	 */
	private String checkJVal = "";

	/**
	 * 接箍合同号
	 * 
	 * @return value
	 */
	public String getJgOrderno() {
		return jgOrderno;
	}

	/**
	 * 接箍合同号
	 * 
	 * @param jgOrderno
	 *            value
	 */
	public void setJgOrderno(String jgOrderno) {
		this.jgOrderno = jgOrderno;
	}

	/**
	 * 合同号
	 * 
	 * @return value
	 */
	public String getOrderNo() {
		return orderNo;
	}

	/**
	 * 合同号
	 * 
	 * @param orderNo
	 *            value
	 */
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	/**
	 * 合同行号
	 * 
	 * @return value
	 */
	public String getOrderSeq() {
		return orderSeq;
	}

	/**
	 * 合同行号
	 * 
	 * @param orderSeq
	 *            value
	 */
	public void setOrderSeq(String orderSeq) {
		this.orderSeq = orderSeq;
	}

	/**
	 * 交货编码
	 * 
	 * @return value
	 */
	public String getDeliveryNo() {
		return deliveryNo;
	}

	/**
	 * 交货编码
	 * 
	 * @param deliveryNo
	 *            value
	 */
	public void setDeliveryNo(String deliveryNo) {
		this.deliveryNo = deliveryNo;
	}

	/**
	 * 客户编号
	 * 
	 * @return value
	 */
	public String getBuyerId() {
		return buyerId;
	}

	/**
	 * 客户编号
	 * 
	 * @param buyerId
	 *            value
	 */
	public void setBuyerId(String buyerId) {
		this.buyerId = buyerId;
	}

	/**
	 * 客户名称
	 * 
	 * @return value
	 */
	public String getBuyerName() {
		return buyerName;
	}

	/**
	 * 客户名称
	 * 
	 * @param buyerName
	 *            value
	 */
	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}

	/**
	 * 交货开始日期
	 * 
	 * @return value
	 */
	public String getDelvryBdate() {
		return delvryBdate;
	}

	/**
	 * 交货开始日期
	 * 
	 * @param delvryBdate
	 *            value
	 */
	public void setDelvryBdate(String delvryBdate) {
		this.delvryBdate = delvryBdate;
	}

	/**
	 * 交货结束日期
	 * 
	 * @return value
	 */
	public String getDelvryEdate() {
		return delvryEdate;
	}

	/**
	 * 交货结束日期
	 * 
	 * @param delvryEdate
	 *            value
	 */
	public void setDelvryEdate(String delvryEdate) {
		this.delvryEdate = delvryEdate;
	}

	/**
	 * 合同联系人
	 * 
	 * @return value
	 */
	public String getOrdercontact() {
		return ordercontact;
	}

	/**
	 * 合同联系人
	 * 
	 * @param ordercontact
	 *            value
	 */
	public void setOrdercontact(String ordercontact) {
		this.ordercontact = ordercontact;
	}

	/**
	 * 监制要求
	 * 
	 * @return value
	 */
	public String getMonitordemand() {
		return monitordemand;
	}

	/**
	 * 监制要求
	 * 
	 * @param monitordemand
	 *            value
	 */
	public void setMonitordemand(String monitordemand) {
		this.monitordemand = monitordemand;
	}

	/**
	 * 是否接箍监制
	 * 
	 * @return value
	 */
	public String getIfMonitorJg() {
		return ifMonitorJg;
	}

	/**
	 * 是否接箍监制
	 * 
	 * @param ifMonitorJg
	 *            value
	 */
	public void setIfMonitorJg(String ifMonitorJg) {
		this.ifMonitorJg = ifMonitorJg;
	}

	/**
	 * 监制编号
	 * 
	 * @return value
	 */
	public String getPrdcrNo() {
		return prdcrNo;
	}

	/**
	 * 监制编号
	 * 
	 * @param prdcrNo
	 *            value
	 */
	public void setPrdcrNo(String prdcrNo) {
		this.prdcrNo = prdcrNo;
	}

	/**
	 * 产品规范码
	 * 
	 * @return value
	 */
	public String getPsc() {
		return psc;
	}

	/**
	 * 产品规范码
	 * 
	 * @param psc
	 *            value
	 */
	public void setPsc(String psc) {
		this.psc = psc;
	}

	/**
	 * 冶金规范码
	 * 
	 * @return value
	 */
	public String getMsc() {
		return msc;
	}

	/**
	 * 冶金规范码
	 * 
	 * @param msc
	 *            value
	 */
	public void setMsc(String msc) {
		this.msc = msc;
	}

	/**
	 * 制程索引号
	 * 
	 * @return value
	 */
	public String getIndexSeq() {
		return indexSeq;
	}

	/**
	 * 制程索引号
	 * 
	 * @param indexSeq
	 *            value
	 */
	public void setIndexSeq(String indexSeq) {
		this.indexSeq = indexSeq;
	}

	/**
	 * 接箍码
	 * 
	 * @return value
	 */
	public String getCodeJg() {
		return codeJg;
	}

	/**
	 * 接箍码
	 * 
	 * @param codeJg
	 *            value
	 */
	public void setCodeJg(String codeJg) {
		this.codeJg = codeJg;
	}

	/**
	 * 钢级(牌号)代码
	 * 
	 * @return value
	 */
	public String getSteelcode() {
		return steelcode;
	}

	/**
	 * 钢级(牌号)代码
	 * 
	 * @param steelcode
	 *            value
	 */
	public void setSteelcode(String steelcode) {
		this.steelcode = steelcode;
	}

	/**
	 * 钢级(牌号)名称
	 * 
	 * @return value
	 */
	public String getSteelname() {
		return steelname;
	}

	/**
	 * 钢级(牌号)名称
	 * 
	 * @param steelname
	 *            value
	 */
	public void setSteelname(String steelname) {
		this.steelname = steelname;
	}

	/**
	 * 外径
	 * 
	 * @return value
	 */
	public String getOutdiameter() {
		return outdiameter;
	}

	/**
	 * 外径
	 * 
	 * @param outdiameter
	 *            value
	 */
	public void setOutdiameter(String outdiameter) {
		this.outdiameter = outdiameter;
	}

	/**
	 * 临界壁厚
	 * 
	 * @return value
	 */
	public String getWallthick() {
		return wallthick;
	}

	/**
	 * 临界壁厚
	 * 
	 * @param wallthick
	 *            value
	 */
	public void setWallthick(String wallthick) {
		this.wallthick = wallthick;
	}

	/**
	 * 控制壁厚(暂不用)
	 * 
	 * @return value
	 */
	public String getAimwallthick() {
		return aimwallthick;
	}

	/**
	 * 控制壁厚(暂不用)
	 * 
	 * @param aimwallthick
	 *            value
	 */
	public void setAimwallthick(String aimwallthick) {
		this.aimwallthick = aimwallthick;
	}

	/**
	 * 扣型代码
	 * 
	 * @return value
	 */
	public String getModelCode() {
		return modelCode;
	}

	/**
	 * 扣型代码
	 * 
	 * @param modelCode
	 *            value
	 */
	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	/**
	 * 目标长度
	 * 
	 * @return value
	 */
	public String getAimlength() {
		return aimlength;
	}

	/**
	 * 目标长度
	 * 
	 * @param aimlength
	 *            value
	 */
	public void setAimlength(String aimlength) {
		this.aimlength = aimlength;
	}

	/**
	 * 单重
	 * 
	 * @return value
	 */
	public String getSingleweight() {
		return singleweight;
	}

	/**
	 * 单重
	 * 
	 * @param singleweight
	 *            value
	 */
	public void setSingleweight(String singleweight) {
		this.singleweight = singleweight;
	}

	/**
	 * 合同重量
	 * 
	 * @return value
	 */
	public String getOrderweight() {
		return orderweight;
	}

	/**
	 * 合同重量
	 * 
	 * @param orderweight
	 *            value
	 */
	public void setOrderweight(String orderweight) {
		this.orderweight = orderweight;
	}

	/**
	 * 合同个数
	 * 
	 * @return value
	 */
	public String getOrdernum() {
		return ordernum;
	}

	/**
	 * 合同个数
	 * 
	 * @param ordernum
	 *            value
	 */
	public void setOrdernum(String ordernum) {
		this.ordernum = ordernum;
	}

	/**
	 * 最迟生产日期
	 * 
	 * @return value
	 */
	public String getLatestProdDate() {
		return latestProdDate;
	}

	/**
	 * 最迟生产日期
	 * 
	 * @param latestProdDate
	 *            value
	 */
	public void setLatestProdDate(String latestProdDate) {
		this.latestProdDate = latestProdDate;
	}

	/**
	 * 利库充当量
	 * 
	 * @return value
	 */
	public String getMatchweight() {
		return matchweight;
	}

	/**
	 * 利库充当量
	 * 
	 * @param matchweight
	 *            value
	 */
	public void setMatchweight(String matchweight) {
		this.matchweight = matchweight;
	}

	/**
	 * 利库个数
	 * 
	 * @return value
	 */
	public String getMatchnum() {
		return matchnum;
	}

	/**
	 * 利库个数
	 * 
	 * @param matchnum
	 *            value
	 */
	public void setMatchnum(String matchnum) {
		this.matchnum = matchnum;
	}

	/**
	 * 有无外购计划
	 * 
	 * @return value
	 */
	public String getIfbuyplan() {
		return ifbuyplan;
	}

	/**
	 * 有无外购计划
	 * 
	 * @param ifbuyplan
	 *            value
	 */
	public void setIfbuyplan(String ifbuyplan) {
		this.ifbuyplan = ifbuyplan;
	}

	/**
	 * 外购计划号
	 * 
	 * @return value
	 */
	public String getBuyplanid() {
		return buyplanid;
	}

	/**
	 * 外购计划号
	 * 
	 * @param buyplanid
	 *            value
	 */
	public void setBuyplanid(String buyplanid) {
		this.buyplanid = buyplanid;
	}

	/**
	 * 外购计划重量
	 * 
	 * @return value
	 */
	public String getBuyplanweight() {
		return buyplanweight;
	}

	/**
	 * 外购计划重量
	 * 
	 * @param buyplanweight
	 *            value
	 */
	public void setBuyplanweight(String buyplanweight) {
		this.buyplanweight = buyplanweight;
	}

	/**
	 * 外购计划个数
	 * 
	 * @return value
	 */
	public String getBuyplannum() {
		return buyplannum;
	}

	/**
	 * 外购计划个数
	 * 
	 * @param buyplannum
	 *            value
	 */
	public void setBuyplannum(String buyplannum) {
		this.buyplannum = buyplannum;
	}

	/**
	 * 接箍合同状态
	 * 
	 * @return value
	 */
	public String getJgorderstatus() {
		return jgorderstatus;
	}

	/**
	 * 接箍合同状态
	 * 
	 * @param jgorderstatus
	 *            value
	 */
	public void setJgorderstatus(String jgorderstatus) {
		this.jgorderstatus = jgorderstatus;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 接箍加工组
	 * 
	 * @return value
	 */
	public String getGroupJgx() {
		return groupJgx;
	}

	/**
	 * 接箍加工组
	 * 
	 * @param groupJgx
	 *            value
	 */
	public void setGroupJgx(String groupJgx) {
		this.groupJgx = groupJgx;
	}

	/**
	 * 已做备料需求接箍量
	 * 
	 * @return value
	 */
	public String getJgwtBlreq() {
		return jgwtBlreq;
	}

	/**
	 * 已做备料需求接箍量
	 * 
	 * @param jgwtBlreq
	 *            value
	 */
	public void setJgwtBlreq(String jgwtBlreq) {
		this.jgwtBlreq = jgwtBlreq;
	}

	/**
	 * 下发时间
	 * 
	 * @return value
	 */
	public String getIssuedTime() {
		return issuedTime;
	}

	/**
	 * 下发时间
	 * 
	 * @param issuedTime
	 *            value
	 */
	public void setIssuedTime(String issuedTime) {
		this.issuedTime = issuedTime;
	}

	/**
	 * 接箍规格代码
	 * 
	 * @return value
	 */
	public String getSpecJg() {
		return specJg;
	}

	/**
	 * 接箍规格代码
	 * 
	 * @param specJg
	 *            value
	 */
	public void setSpecJg(String specJg) {
		this.specJg = specJg;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @return value
	 */
	public String getSpecJgDesc() {
		return specJgDesc;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @param specJgDesc
	 *            value
	 */
	public void setSpecJgDesc(String specJgDesc) {
		this.specJgDesc = specJgDesc;
	}

	/**
	 * 接箍扣型描述
	 * 
	 * @return value
	 */
	public String getModelDesc() {
		return modelDesc;
	}

	/**
	 * 接箍扣型描述
	 * 
	 * @param modelDesc
	 *            value
	 */
	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	/**
	 * 中孔类别
	 * 
	 * @return value
	 */
	public String getStyleJg() {
		return styleJg;
	}

	/**
	 * 中孔类别
	 * 
	 * @param styleJg
	 *            value
	 */
	public void setStyleJg(String styleJg) {
		this.styleJg = styleJg;
	}

	/**
	 * 中孔内径
	 * 
	 * @return value
	 */
	public String getDiameter() {
		return diameter;
	}

	/**
	 * 中孔内径
	 * 
	 * @param diameter
	 *            value
	 */
	public void setDiameter(String diameter) {
		this.diameter = diameter;
	}

	/**
	 * 测量J值
	 * 
	 * @return value
	 */
	public String getCheckJVal() {
		return checkJVal;
	}

	/**
	 * 测量J值
	 * 
	 * @param checkJVal
	 *            value
	 */
	public void setCheckJVal(String checkJVal) {
		this.checkJVal = checkJVal;
	}

	private String hangkcNum = "";

	/**
	 * 库存已挂个数
	 */
	public String getHangkcNum() {
		return hangkcNum;
	}

	/**
	 * 库存已挂个数
	 */
	public void setHangkcNum(String hangkcNum) {
		this.hangkcNum = hangkcNum;
	}

	private String craftFileNo = "";
	private String craftSeq = "";

	/**
	 * 成品合同工艺文件号
	 */
	public String getCraftFileNo() {
		return craftFileNo;
	}

	/**
	 * 成品合同工艺文件号
	 */
	public void setCraftFileNo(String craftFileNo) {
		this.craftFileNo = craftFileNo;
	}

	/**
	 * 成品合同工艺序号
	 */
	public String getCraftSeq() {
		return craftSeq;
	}

	/**
	 * 成品合同工艺序号
	 */
	public void setCraftSeq(String craftSeq) {
		this.craftSeq = craftSeq;
	}

	private String ordLnDlyPk = "";

	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	private String demandDetection = "";

	/**
	 * 探伤要求（4项之一，408401）
	 * 
	 * @return
	 */
	public String getDemandDetection() {
		return demandDetection;
	}

	/**
	 * 探伤要求（4项之一，408401）
	 * 
	 * @return
	 */
	public void setDemandDetection(String demandDetection) {
		this.demandDetection = demandDetection;
	}

	private String demandBonderizing = "";
	private String demandCopper = "";
	private String demandBlast = "";

	/**
	 * 磷化镀铜要求（4项之一，408402）
	 * 
	 * @return
	 */
	public String getDemandBonderizing() {
		return demandBonderizing;
	}

	/**
	 * 磷化镀铜要求（4项之一，408402）
	 * 
	 * @return
	 */
	public void setDemandBonderizing(String demandBonderizing) {
		this.demandBonderizing = demandBonderizing;
	}

	/**
	 * 压印喷标要求（4项之一）
	 * 
	 * @return
	 */
	public String getDemandCopper() {
		return demandCopper;
	}

	/**
	 * 压印喷标要求（4项之一）
	 * 
	 * @return
	 */
	public void setDemandCopper(String demandCopper) {
		this.demandCopper = demandCopper;
	}

	/**
	 * 喷砂要求（4项之一）
	 * 
	 * @return
	 */
	public String getDemandBlast() {
		return demandBlast;
	}

	/**
	 * 喷砂要求（4项之一）
	 * 
	 * @return
	 */
	public void setDemandBlast(String demandBlast) {
		this.demandBlast = demandBlast;
	}

}